Configure Integration
curl --request POST \
--url https://api.veridical.dev/api/v1/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential_ref": "<string>",
"display_name": "<string>",
"external_id": "<string>",
"provider": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"config": {},
"scopes": [
"<string>"
],
"state": "active"
}
'import requests
url = "https://api.veridical.dev/api/v1/integrations"
payload = {
"credential_ref": "<string>",
"display_name": "<string>",
"external_id": "<string>",
"provider": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"config": {},
"scopes": ["<string>"],
"state": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credential_ref: '<string>',
display_name: '<string>',
external_id: '<string>',
provider: '<string>',
workspace_id: '<string>',
client_request_id: '<string>',
config: {},
scopes: ['<string>'],
state: 'active'
})
};
fetch('https://api.veridical.dev/api/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}control
Configure Integration
POST
/
api
/
v1
/
integrations
Configure Integration
curl --request POST \
--url https://api.veridical.dev/api/v1/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential_ref": "<string>",
"display_name": "<string>",
"external_id": "<string>",
"provider": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"config": {},
"scopes": [
"<string>"
],
"state": "active"
}
'import requests
url = "https://api.veridical.dev/api/v1/integrations"
payload = {
"credential_ref": "<string>",
"display_name": "<string>",
"external_id": "<string>",
"provider": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"config": {},
"scopes": ["<string>"],
"state": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credential_ref: '<string>',
display_name: '<string>',
external_id: '<string>',
provider: '<string>',
workspace_id: '<string>',
client_request_id: '<string>',
config: {},
scopes: ['<string>'],
state: 'active'
})
};
fetch('https://api.veridical.dev/api/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 200Body
application/json
Required string length:
10 - 1000Pattern:
^(gcp-sm|azure-kv|vault)://Required string length:
1 - 200Required string length:
1 - 300Pattern:
^(slack|teams|jira|linear|confluence|webhook)$Required string length:
8 - 200Maximum array length:
100Pattern:
^(active|disabled)$Response
Successful Response
The response is of type Response Configure Integration Api V1 Integrations Post · object.
Last modified on July 28, 2026
⌘I

